Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/26420/?format=api
{ "ob_id": 26420, "uuid": "28408e86804943b6a396552d7a65b1c1", "title": "High Moorsley C-band rain radar dual polar products", "abstract": "Dual-polar products from the Met Office's High Moorsley C-band rain radar, County Durham, England. Data from this site are availlable from August 2018 at present, although the radar has been producing augmented lrd scan data previous to this time. The radar is a C-band (5.3 cm wavelength) radar and data are received by the Nimrod system at 5 minute intervals.", "keywords": "Met Office, NIMROD, rain radar", "publicationState": "published", "dataPublishedTime": "2018-08-13T10:54:38", "doiPublishedTime": null, "updateFrequency": "continual", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/26421/?format=api", "dataPath": "/badc/ukmo-nimrod/data/single-site/high-moorsley/raw-dual-polar/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 988801178574, "numberOfFiles": 838, "fileFormat": "Data are in NIMROD data format. See linked documentation for further details." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/7134/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2268/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data are acquired from rain radar network in the UK and Europe by the Met Office's NIMROD system. Single site data are then sent to the CEDA by the Met Office's DART operational dissemination system. Raw polar data from single sites are sent through from the RADARNET team at the Met Office. On arrival at CEDA the data are ingested after a 48h quarantine, having been compressed and then compiled into daily tar balls for each data type.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5736/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5709/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/110805/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/110803/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/110807/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/110804/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/110802/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/110808/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/110809/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/110806/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/110812/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/26422/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2532/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx", "label": "restricted: ukmo_wx group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" }, { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2533/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx_gov", "label": "restricted: ukmo_wx_gov group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement_gov.pdf", "licenceClassifications": "policy" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }